%define url_ver	%(echo %{version}|cut -d. -f1,2)

#define mutter_ver	%(echo %{version}|cut -d. -f1,2,3)
%define mutter_ver	3.22.0

# To make GNOME Shell extensions load, we need to get rid of DT_RUNPATH on /usr/bin/gnome-shell
# (see glibc bug #13945, GNOME bug #670477, Mageia bug #4523)
%define _disable_ld_enable_new_dtags 1

# filter out private typelib req from mutter which is already required directly,
# private typelib provides are also filtered out from mutter
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^typelib\\(Meta

Summary:	Core user interface for the GNOME 3 desktop
Name:		gnome-shell
Version:	3.24.3
Release:	%mkrel 1
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	gnome-shell-session
Patch0001:	0001-screenShield-Allow-for-custom-backgrounds-on-login-s.patch
Patch0002:	0001-extensions-Consistently-handle-createExtensionObject.patch
Patch0003:	0002-extensionSystem-Catch-import-errors.patch
Patch0004:	0003-extensionSystem-Handle-all-initExtension-extension-e.patch
Patch0005:	0001-gtk-embed-ensure-we-only-listen-for-window-created-e.patch
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
Url:		https://wiki.gnome.org/GnomeShell
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(clutter-glx-1.0) >= 1.7.5
BuildRequires:	pkgconfig(clutter-x11-1.0) >= 1.7.5
BuildRequires:	pkgconfig(folks) >= 0.5.2
BuildRequires:	pkgconfig(gcr-3) >= 3.8.0
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gdk-x11-3.0)
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.31.6
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(gnome-bluetooth-1.0) >= 3.1.0
BuildRequires:	pkgconfig(gnome-desktop-3.0) >= 2.90.0
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gnome-keybindings)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.45.3
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 0.1.7
BuildRequires:	pkgconfig(gstreamer-1.0) >= 0.11.92
BuildRequires:	pkgconfig(gstreamer-base-1.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.3.9
BuildRequires:	pkgconfig(gtk-doc)
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	pkgconfig(libcroco-0.6) >= 0.6.2
BuildRequires:	pkgconfig(libecal-1.2) >= 2.32.0
BuildRequires:	pkgconfig(libedataserver-1.2) >= 1.2.0
BuildRequires:	pkgconfig(libgnome-menu-3.0)
BuildRequires:	pkgconfig(mutter-clutter-0)
BuildRequires:	pkgconfig(libnm-glib)
BuildRequires:	pkgconfig(libnm-util)
BuildRequires:	pkgconfig(libnm-gtk)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libpulse-mainloop-glib)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libstartup-notification-1.0) >= 0.11
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(polkit-agent-1) >= 0.100
BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(telepathy-glib) >= 0.17.5
BuildRequires:	pkgconfig(telepathy-logger-0.2) >= 0.2.4
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(caribou-1.0)
BuildRequires:	pkgconfig(gjs-1.0)
BuildRequires:	intltool >= 0.40.0
BuildRequires:	gnome-common
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(python3)
Requires:	mutter >= %{mutter_ver}
Requires:	gjs
Requires:	glxinfo
Requires:	gnome-session
Requires:	adwaita-icon-theme
# For a GSettings schema
Requires:	gnome-settings-daemon
Requires:	gsettings-desktop-schemas >= 3.9.2
Requires:	packagekit-gtk3-module
Requires:	telepathy-mission-control
Requires:	gnome-control-center
# mga#11640 when there are multiple keyboard layouts, "Show Keyboard Layouts" option
# also needed in 3.17+
Requires:	libgnomekbd-common
# Ensures extensions.gnome.org works for Fireox 52+, Chrome, Chromiun
Requires:	chrome-gnome-shell

# gnome-shell handles notifications natively, no notification-daemon needed
Provides:	virtual-notification-daemon
# and ditto for polkit authorisation dialogs
Provides:	polkit-agent

# --- gir/typelibs not automatically required ---
# mga#14269  I don't think this is needed, but Mageia 5 should get out
Requires:	typelib(GcrUi)

# (cg) gnome-shell needs schemas defined/shipped with gdm and needs gdm for
# screen locking. Technically, this could be relaxed upstream and the schema
# moved to gsettings-desktop-schemas, so if that happens, the dep can be relaxed
# https://bugs.mageia.org/show_bug.cgi?id=14430
Requires:	gdm

# (ovitters) extensions depend on 'unzip' being available; mga#16005
Requires:	unzip

Obsoletes:	gnome-applet-netspeed < 3.0.2

%description
GNOME Shell provides core user interface functions for the GNOME 3
desktop, like switching to windows and launching applications. GNOME
Shell takes advantage of the capabilities of modern graphics hardware
and introduces innovative user interface concepts to provide a
visually attractive and easy to use experience.

%package docs
Summary:	Documentation for %{name}
Group:		Documentation
BuildArch:	noarch

%description docs
This package contains the documentation for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
	--enable-compile-warnings=no \
	--disable-static --disable-schemas-compile
%make V=1

%install
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %name

mkdir -p %{buildroot}/%{_datadir}/gnome-shell/xdg-override/autostart
cp -f %{buildroot}/%{_datadir}/applications/org.gnome.Shell.desktop %{buildroot}/%{_datadir}/gnome-shell/xdg-override/autostart

find %{buildroot} -name '*.la' -delete

install -m 755 %{SOURCE1} %{buildroot}/%{_datadir}/gnome-shell/

%files -f %name.lang
%doc README
%{_bindir}/*
%{_libdir}/%{name}
%{_libexecdir}/gnome-shell-calendar-server
%{_libexecdir}/gnome-shell-perf-helper
%{_libexecdir}/gnome-shell-hotplug-sniffer
%{_libexecdir}/gnome-shell-portal-helper
%{_libdir}/mozilla/plugins/*.so
%{_datadir}/dbus-1/services/org.gnome.Shell.CalendarServer.service
%{_datadir}/dbus-1/services/org.gnome.Shell.HotplugSniffer.service
%{_datadir}/dbus-1/services/org.gnome.Shell.PortalHelper.service
%{_datadir}/dbus-1/interfaces/org.gnome.ShellSearchProvider.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Shell.Screencast.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Shell.Screenshot.xml
%{_datadir}/dbus-1/interfaces/org.gnome.ShellSearchProvider2.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Shell.PadOsd.xml
%{_datadir}/glib-2.0/schemas/org.gnome.shell.gschema.xml
%{_datadir}/GConf/gsettings/gnome-shell-overrides.convert
%{_datadir}/applications/org.gnome.Shell.desktop
%{_datadir}/applications/evolution-calendar.desktop
%{_datadir}/applications/gnome-shell-extension-prefs.desktop
%{_datadir}/applications/org.gnome.Shell.PortalHelper.desktop
%{_datadir}/gnome-control-center/keybindings/*%{name}*.xml
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/xdg-desktop-portal/portals/%{name}.portal

%files docs
%{_datadir}/gtk-doc/html/shell
%{_datadir}/gtk-doc/html/st


%changelog
* Mon Jan 01 2018 luigiwalser <luigiwalser> 3.24.3-1.mga6
+ Revision: 1188851
- 3.24.3
- add patch from fedora to fix security issue (mga#21759)
- add upstream patches to fix CVE-2017-8288

* Fri May 12 2017 wally <wally> 3.24.2-2.mga6
+ Revision: 1100626
- rebuild for armv5tl

* Thu May 11 2017 ovitters <ovitters> 3.24.2-1.mga6
+ Revision: 1100322
- new version 3.24.2
- dropped merged patch gnome-shell-3.24.1-CVE-2017-8288.patch

* Sat Apr 29 2017 luigiwalser <luigiwalser> 3.24.1-2.mga6
+ Revision: 1098068
- add upstream patch to fix CVE-2017-8288

* Tue Apr 11 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1096364
- new version 3.24.1

* Wed Mar 29 2017 neoclust <neoclust> 3.24.0-5.mga6
+ Revision: 1095131
- Rebuild for core/release

* Tue Mar 28 2017 tmb <tmb> 3.24.0-4.mga6
+ Revision: 1095127
- re-apply P1: allow custom login/lock screen background

* Sun Mar 26 2017 ovitters <ovitters> 3.24.0-3.mga6
+ Revision: 1094871
- require chrome-gnome-shell to ensure extensions.gnome.org works with recent browsers

* Thu Mar 23 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094546
- new version 3.24.0

* Fri Feb 17 2017 ovitters <ovitters> 3.22.3-1.mga6
+ Revision: 1086605
- new version 3.22.3

* Wed Feb 15 2017 wally <wally> 3.22.2-3.mga6
+ Revision: 1086209
- drop requires for libmutter-gir3.0 as it's provided and pulled by mutter already

* Tue Feb 14 2017 wally <wally> 3.22.2-2.mga6
+ Revision: 1086147
- filter our private typelib req from mutter which is already required directly

* Thu Nov 10 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1066226
- new version 3.22.2
- new version 3.22.1

* Sat Sep 24 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055873
- new version 3.22.0
- dropped merged patch 2

  + tv <tv>
    - bump needed mutter version

* Mon Aug 22 2016 ovitters <ovitters> 3.20.4-1.mga6
+ Revision: 1047872
- new version 3.20.4

* Thu Jun 30 2016 ovitters <ovitters> 3.20.3-1.mga6
+ Revision: 1038229
- new version 3.20.3
- dropped merged patch 3

* Sat Jun 11 2016 ovitters <ovitters> 3.20.2-3.mga6
+ Revision: 1021194
- add upstream patch to fix crash on nvidia hardware (mga#18465)

* Tue Jun 07 2016 tv <tv> 3.20.2-2.mga6
+ Revision: 1020643
- adjust BRs for latest systemd

* Tue May 10 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1012307
- new version 3.20.2

* Wed Apr 13 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1001058
- new version 3.20.1

* Tue Mar 22 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 994155
- new version 3.20.0

* Wed Mar 16 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 992146
- new version 3.19.92

* Thu Mar 03 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 985016
- new version 3.19.91

* Fri Feb 19 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 969805
- new version 3.19.90

* Wed Feb 17 2016 colin <colin> 3.19.4-3.mga6
+ Revision: 963469
- Re-add updated background customisation patch (bgo#738260)

* Mon Jan 25 2016 luigiwalser <luigiwalser> 3.19.4-2.mga6
+ Revision: 927284
- rebuild for libical

* Thu Jan 21 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 926351
- new version 3.19.4

* Thu Dec 17 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 911535
- new version 3.19.3

* Thu Nov 26 2015 ovitters <ovitters> 3.19.2-2.mga6
+ Revision: 906361
- remove old require

* Thu Nov 26 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 906342
- new version 3.19.2

* Wed Nov 18 2015 tv <tv> 3.18.3-1.mga6
+ Revision: 904080
- fix build: there's nothing that say mutter has the same version as gnome-shell...

  + ovitters <ovitters>
    - new version 3.18.3

* Thu Nov 12 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 902830
- new version 3.18.2

* Fri Oct 16 2015 tv <tv> 3.18.1-1.mga6
+ Revision: 891986
- new release

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882552
- new release

* Wed Sep 16 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879945
- new version 3.17.92

* Thu Sep 03 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 872480
- new version 3.17.91

* Thu Aug 20 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 866860
- new version 3.17.90

* Thu Jul 23 2015 ovitters <ovitters> 3.17.4-1.mga6
+ Revision: 856573
- new version 3.17.4

* Fri Jul 03 2015 ovitters <ovitters> 3.17.3-3.mga6
+ Revision: 849777
- better attempt to fix crash

* Fri Jul 03 2015 ovitters <ovitters> 3.17.3-2.mga6
+ Revision: 849772
- fix gnome-shell crashes by guessing the cause

* Thu Jul 02 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 849510
- new version 3.17.3
- require unzip as needed for extensions (mgda#16005)

* Sun Jun 21 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 838392
- 3.17.2
- drop custom background for now

* Sat Jun 20 2015 ovitters <ovitters> 3.14.4-1.mga6
+ Revision: 836396
- new version 3.14.4
- dropped merged patch 6
- dropped merged patch 5

* Thu May 28 2015 tmb <tmb> 3.14.3-7.mga5
+ Revision: 822763
- require both lib(64)mutter-gir3.0 and lib(64)mutter-wayland-gir3.0
  so we dont crash regardless of using wayland or x11 (reported by tv)

* Tue May 26 2015 tmb <tmb> 3.14.3-6.mga5
+ Revision: 822744
- keyboard: Delay caribou daemon invocation until really needed

* Wed May 06 2015 tmb <tmb> 3.14.3-5.mga5
+ Revision: 821346
- authPrompt: Fix hang if user types password really fast

* Wed Apr 08 2015 tmb <tmb> 3.14.3-4.mga5
+ Revision: 819900
- system: Fix visibility of suspend button
- Refresh all background instances after suspend if needed

* Wed Feb 18 2015 luigiwalser <luigiwalser> 3.14.3-3.mga5
+ Revision: 815679
- rebuild for evolution-data-server

* Mon Feb 09 2015 ovitters <ovitters> 3.14.3-2.mga5
+ Revision: 814374
- cannot reproduce bug, adding requires anyway (mga#14269)

* Mon Dec 22 2014 ovitters <ovitters> 3.14.3-1.mga5
+ Revision: 804814
- new version 3.14.3

* Thu Nov 13 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796742
- new version 3.14.2

* Mon Nov 10 2014 colin <colin> 3.14.1.5-2.mga5
+ Revision: 796171
- Require gdm (mga#14430)

* Fri Oct 31 2014 ovitters <ovitters> 3.14.1.5-1.mga5
+ Revision: 794996
- new version 3.14.1.5

* Sun Oct 26 2014 tv <tv> 3.14.1-4.mga5
+ Revision: 793497
- readd requires on "typelib(Gck)" (it's not automatically pulled)

* Sun Oct 26 2014 tv <tv> 3.14.1-3.mga5
+ Revision: 793381
- readd requires on "typelib(Gcr)" (it's not automatically pulled)

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 741032
- Second Mageia 5 Mass Rebuild

  + ovitters <ovitters>
    - new version 3.14.1

* Thu Oct 09 2014 colin <colin> 3.14.0-5.mga5
+ Revision: 737780
- Replace the password dialog entry patch with a more upstream-friendly one. mga#14131

* Sat Oct 04 2014 colin <colin> 3.14.0-4.mga5
+ Revision: 736880
- Fix per-screens backgrounds patch for 3.14 (mga#14131)

* Thu Oct 02 2014 blino <blino> 3.14.0-3.mga5
+ Revision: 735439
- disable Mageia background patch to fix crash (#14131),
  it should be rewritten for Mutter background changes
  This disables the background image in screen lock and gdm

* Sun Sep 28 2014 tv <tv> 3.14.0-2.mga5
+ Revision: 731083
- rebuild so that it picks typelib() requires

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719237
- new version 3.14.0

* Wed Sep 17 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 692842
- new version 3.13.92
- remove requires now that rpm-mageia-setup is fixed

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Wed Sep 03 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 671497
- new version 3.13.91

* Wed Aug 20 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665805
- new version 3.13.90

* Wed Jul 30 2014 pterjan <pterjan> 3.13.4-2.mga5
+ Revision: 658280
- Rebuild for new evolution-data-server

* Thu Jul 24 2014 tv <tv> 3.13.4-1.mga5
+ Revision: 656396
- adjust file list
- we do need latest mutter
- allow build with older libmutter
- rebuild for new clutter:
  gnome-session[2341]: gnome-shell: symbol lookup error:
  /lib64/libmutter.so.0: undefined symbol: clutter_stage_set_paint_callback

  + ovitters <ovitters>
    - new version 3.13.4

* Mon Jul 07 2014 ovitters <ovitters> 3.13.3-3.mga5
+ Revision: 650483
- require typelib Caribou (mga#13696)

* Sun Jul 06 2014 ovitters <ovitters> 3.13.3-2.mga5
+ Revision: 646943
- fix another missing autoreq for typelib GSystem

* Sat Jun 28 2014 tv <tv> 3.13.3-1.mga5
+ Revision: 640793
- fix BR for new mutter
- bump needed mutter
- revert, latest mutter is indeed needed
- relax required mutter

  + ovitters <ovitters>
    - new version 3.13.3

* Wed May 14 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622748
- new version 3.12.2

  + wally <wally>
    - require adwaita-icon-theme instead of obsolete gnome-icon-theme-symbolic

* Tue Apr 15 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 615214
- new version 3.12.1

* Tue Mar 25 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608637
- new version 3.12.0

* Wed Mar 19 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 605929
- new version 3.11.92

* Thu Mar 06 2014 tv <tv> 3.11.91-1.mga5
+ Revision: 600423
- new release

* Mon Feb 24 2014 tv <tv> 3.11.90-2.mga5
+ Revision: 596128
- rebuild for new cogl

* Thu Feb 20 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 594998
- new version 3.11.90

* Wed Feb 19 2014 tv <tv> 3.11.5-5.mga5
+ Revision: 594621
- rebuild for new libgnome-desktop

* Tue Feb 11 2014 tv <tv> 3.11.5-4.mga5
+ Revision: 589465
- fix one more missing Typelib requires...

* Fri Feb 07 2014 tv <tv> 3.11.5-3.mga5
+ Revision: 584936
- fix more missing Typelib requires...

* Fri Feb 07 2014 tv <tv> 3.11.5-2.mga5
+ Revision: 584904
- fix "(gnome-shell:13455): Gjs-WARNING **: JS ERROR: Error: Requiring
  GjsPrivate, version none: Typelib file for namespace 'GjsPrivate' (any
  version) not found"

* Thu Feb 06 2014 ovitters <ovitters> 3.11.5-1.mga5
+ Revision: 584056
- new version 3.11.5
- rebuild for new cogl,clutter

* Tue Feb 04 2014 ovitters <ovitters> 3.10.3-1.mga5
+ Revision: 582498
- new version 3.10.3

* Thu Jan 16 2014 colin <colin> 3.10.2.1-7.mga4
+ Revision: 566720
- Really fix background (badly tested css change in previous patch)

* Thu Jan 16 2014 colin <colin> 3.10.2.1-6.mga4
+ Revision: 566700
- Properly present Mageia logo in GDM/Lock UIs (thanks to Ray Strode upstream) mga#9304

* Sun Jan 05 2014 tmb <tmb> 3.10.2.1-5.mga4
+ Revision: 564806
- messageTray: Prevent reentrancy issues in _updateState (bgo#711694)
- authPrompt: propagate gdm "reset" signal after user switching (bgo#710456)
- loginDialog: Implement cancel() (bgo#719378)
- catch more errors on extensions enable() and disable() (bgo#688331)
- messageTray: Only attempt to grab the summary box pointer after showing
  it (bgo#709853)
- ShellWindowTracker: fix reference counting of ShellApp (bgo#721439)
- ShellWindowTracker: remove gtk-doc marks from private functions (bgo#721439)

* Wed Dec 04 2013 colin <colin> 3.10.2.1-4.mga4
+ Revision: 555098
- Enable bluetooth support

* Wed Dec 04 2013 colin <colin> 3.10.2.1-3.mga4
+ Revision: 555093
- Drop invalid --with-systemd build option

* Fri Nov 15 2013 ovitters <ovitters> 3.10.2.1-2.mga4
+ Revision: 551421
- fix requires
- new version 3.10.2.1

* Thu Nov 14 2013 ovitters <ovitters> 3.10.1-6.mga4
+ Revision: 551179
- make Show
- fix url
- enable bluetooth

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Wed Oct 16 2013 tv <tv> 3.10.1-2.mga4
+ Revision: 501350
- relax mutter requires, thus fixing install

* Tue Oct 15 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 501044
- new version 3.10.1

* Sun Oct 13 2013 colin <colin> 3.10.0.1-3.mga4
+ Revision: 496247
- Provide polkit-agent as g-s includes this functionality

* Thu Sep 26 2013 colin <colin> 3.10.0.1-2.mga4
+ Revision: 486472
- Rebuild for new mutter

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0.1-1.mga4
+ Revision: 485725
- new version 3.10.0.1
- dropped merged patch 3

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-2.mga4
+ Revision: 485654
- add patch to make it work with GDM 3.10

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 485022
- new version 3.10.0

* Fri Sep 20 2013 ovitters <ovitters> 3.9.92-2.mga4
+ Revision: 481682
- enable experimental Wayland support

* Tue Sep 17 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480535
- drop merged patch
- new version 3.9.92

* Wed Sep 04 2013 blino <blino> 3.9.91-2.mga4
+ Revision: 475062
- fix crash because bluetooth is disabled (reported as bgo#707430)

* Tue Sep 03 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474878
- disable bluetooth for now, does not build
- new version 3.9.91

* Thu Aug 22 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 469423
- new version 3.9.90
- more strict mutter version requirement

* Sun Aug 18 2013 fwang <fwang> 3.9.5-3.mga4
+ Revision: 467509
- rebuild for new eds

* Thu Aug 01 2013 dams <dams> 3.9.5-2.mga4
+ Revision: 462326
- rebuild for new cogl

* Tue Jul 30 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 461152
- new version 3.9.5

* Mon Jul 29 2013 wally <wally> 3.9.4-3.mga4
+ Revision: 460615
- rebuild with new rpm-mageia-setup

* Mon Jul 29 2013 ovitters <ovitters> 3.9.4-2.mga4
+ Revision: 460578
- require explicit mutter version
- fix gsettings-desktop-schemas required version

* Mon Jul 29 2013 dams <dams> 3.9.4-1.mga4
+ Revision: 460172
- new version 3.9.4

* Sun Jul 14 2013 sander85 <sander85> 3.8.3-2.mga4
+ Revision: 454290
- Rebuild for new cogl

* Fri Jun 07 2013 ovitters <ovitters> 3.8.3-1.mga4
+ Revision: 440312
- new version 3.8.3

* Sun Jun 02 2013 fwang <fwang> 3.8.2-3.mga4
+ Revision: 434346
- rebuild for new ical

* Mon May 27 2013 ovitters <ovitters> 3.8.2-2.mga4
+ Revision: 428990
- add provide on virtual-notification-daemon, so notification-daemon can be uninstalled for gnome-shell only systems

* Sat May 25 2013 ovitters <ovitters> 3.8.2-1.mga4
+ Revision: 427564
- br gnome-keybindings
- br libnm-gtk
- update file list
- fix gcr version
- br caribou-1.0

  + blino <blino>
    - drop libedataserverui buildreq, it has been merged back into e-d-s
    - 3.8.2

* Tue Apr 09 2013 mitya <mitya> 3.6.3.1-3.mga3
+ Revision: 409335
- Fix #7819

* Fri Mar 08 2013 neoclust <neoclust> 3.6.3.1-2.mga3
+ Revision: 401812
- Fix gdm background ( tks to leuhmanu for the css help)

* Wed Feb 20 2013 ovitters <ovitters> 3.6.3.1-1.mga3
+ Revision: 399567
- new version 3.6.3.1

* Wed Feb 13 2013 ovitters <ovitters> 3.6.3-1.mga3
+ Revision: 398227
- new version 3.6.3

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 352199
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317366
- new version 3.6.2

* Tue Oct 16 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306997
- drop upstreamed patch
- new version 3.6.1

* Wed Oct 10 2012 ennael <ennael> 3.6.0-3.mga3
+ Revision: 304423
- fix group

  + dmorgan <dmorgan>
    - Make gnome-shell to require libmutter-gir3.0 ( mga #7710 )

* Wed Oct 03 2012 blino <blino> 3.6.0-2.mga3
+ Revision: 302629
- ShellUserVerifier: fix typo in function name, caught on auth error (bgo#685434)

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297508
- new version 3.6.0

* Wed Sep 19 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 296210
- new version 3.5.92

* Thu Sep 13 2012 ovitters <ovitters> 3.5.91-5.mga3
+ Revision: 293719
- update gstreamer br to reenable recording functionality

* Wed Sep 12 2012 ovitters <ovitters> 3.5.91-4.mga3
+ Revision: 292786
- remove requires gir-repository

* Mon Sep 10 2012 ovitters <ovitters> 3.5.91-3.mga3
+ Revision: 292086
- drop cancel patch -- fixed in different way in 3.5.91

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-2.mga3
+ Revision: 287948
- update description and summary

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 287938
- new version 3.5.91

* Wed Aug 22 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 283037
- new version 3.5.90

* Fri Aug 10 2012 ovitters <ovitters> 3.5.5-2.mga3
+ Revision: 280377
- add patch to fix pressing escape in login screen

* Tue Aug 07 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279839
- new version 3.5.5

* Fri Aug 03 2012 ovitters <ovitters> 3.5.4-4.mga3
+ Revision: 278124
- require gnome-control-center

* Tue Jul 17 2012 ovitters <ovitters> 3.5.4-3.mga3
+ Revision: 271971
- drop conflicts on gdm
- requires gsettings-desktop-schemas 3.5.4+

* Tue Jul 17 2012 ovitters <ovitters> 3.5.4-2.mga3
+ Revision: 271931
- conflicts with old gdm

* Tue Jul 17 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271915
- update file list
- new version 3.5.4

* Sun Jul 01 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 266478
- fix mutter buildrequires
- new version 3.5.3

* Mon Jun 11 2012 ovitters <ovitters> 3.4.1-2.mga3
+ Revision: 259774
- enable systemd support

* Thu Apr 19 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231551
- fix buildrequires
- new version 3.4.1

* Thu Apr 05 2012 mitya <mitya> 3.4.0-4.mga2
+ Revision: 228561
+ rebuild (emptylog)

* Thu Apr 05 2012 mitya <mitya> 3.4.0-3.mga2
+ Revision: 228553
- Switch to upstream method of fixing extension loading, see GNOME bug #670477 discussion

* Wed Apr 04 2012 mitya <mitya> 3.4.0-2.mga2
+ Revision: 228518
- Fix broken shell extension loading (see #4523)

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226833
- new version 3.4.0

* Sat Mar 24 2012 fwang <fwang> 3.3.92-2.mga2
+ Revision: 226000
- do not apply gi flags patch to test rpath settings

* Wed Mar 21 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 225349
- update buildrequires
- new version 3.3.92
- drop merged patches

* Mon Mar 12 2012 ovitters <ovitters> 3.3.90-6.mga2
+ Revision: 223060
- remove suggests on gnome-screenshot

* Mon Mar 12 2012 ovitters <ovitters> 3.3.90-5.mga2
+ Revision: 223039
- suggest gnome-screenshot (mga#4903)

* Wed Mar 07 2012 fwang <fwang> 3.3.90-4.mga2
+ Revision: 220702
- rebuild for new cogl

  + colin <colin>
    - Fix an error related to the bluetooth applet display

* Tue Feb 28 2012 ovitters <ovitters> 3.3.90-2.mga2
+ Revision: 215829
- add upstream patch to fix memory leak

* Thu Feb 23 2012 ovitters <ovitters> 3.3.90-1.mga2
+ Revision: 212618
- update file list
- update buildrequires
- new version
- drop linking patch

* Wed Feb 22 2012 wally <wally> 3.3.5-2.mga2
+ Revision: 212402
- rebuild for new cogl

* Wed Feb 08 2012 ovitters <ovitters> 3.3.5-1.mga2
+ Revision: 206483
- update file list
- add upstream patch to fix linking
- update gi scanner patch
- new version

* Sat Jan 21 2012 fwang <fwang> 3.3.4-1.mga2
+ Revision: 199061
- add file list
- drop old patches
- new version 3.3.4

* Tue Jan 17 2012 ovitters <ovitters> 3.3.3-3.mga2
+ Revision: 197650
- add patch to prevent epiphany from respawning (bgo#667881)

* Tue Jan 17 2012 fwang <fwang> 3.3.3-2.mga2
+ Revision: 197343
- rebuild for new cogl

* Wed Jan 04 2012 ovitters <ovitters> 3.3.3-1.mga2
+ Revision: 190761
- new version 3.3.3
- drop extension patches (upstream)
- fix br

* Wed Dec 21 2011 fwang <fwang> 3.3.2-3.mga2
+ Revision: 185310
- br gettext
- drop xulrunner req

* Thu Dec 01 2011 ovitters <ovitters> 3.3.2-2.mga2
+ Revision: 175000
- add patches from git for extensions.gnome.org

* Wed Nov 23 2011 wally <wally> 3.3.2-1.mga2
+ Revision: 171494
- drop obsoleted gconf schemas parts
- create a subpackage for docs
- add BR gtk-doc

  + fwang <fwang>
    - new version 3.3.2

* Fri Nov 11 2011 fwang <fwang> 3.2.1-4.mga2
+ Revision: 166474
- rebuild for new xulrunner

* Sat Oct 29 2011 fwang <fwang> 3.2.1-3.mga2
+ Revision: 159502
- rebuild for new evo

* Tue Oct 18 2011 wally <wally> 3.2.1-2.mga2
+ Revision: 156384
- rebuild for new folks

* Tue Oct 18 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 156071
- bump br
- new version 3.2.1

* Fri Sep 30 2011 fwang <fwang> 3.2.0-3.mga2
+ Revision: 150452
- rebuild for new xulrunner

* Tue Sep 27 2011 fwang <fwang> 3.2.0-2.mga2
+ Revision: 149258
- rebuild  for new xulrunner

* Mon Sep 26 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149025
- new version 3.2.0

* Wed Sep 21 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 146215
- bump gjs req
- new version 3.1.92

* Mon Sep 19 2011 wally <wally> 3.1.91.1-2.mga2
+ Revision: 145695
- rebuild for new cogl

* Thu Sep 15 2011 fwang <fwang> 3.1.91.1-1.mga2
+ Revision: 143719
- update file list
- new version 3.1.91.1

  + wally <wally>
    - require telepathy-mission-control

* Wed Sep 07 2011 wally <wally> 3.1.91-1.mga2
+ Revision: 140827
- new version 3.1.91

* Mon Sep 05 2011 fwang <fwang> 3.1.90.1-2.mga2
+ Revision: 138607
- rebuild for new xulrunner

* Wed Aug 31 2011 pterjan <pterjan> 3.1.90.1-1.mga2
+ Revision: 137368
- Update to 3.1.90.1 and drop all the patches from git

* Wed Aug 31 2011 colin <colin> 3.1.90-4.mga2
+ Revision: 137017
- More stability fixes from upstream.

* Wed Aug 31 2011 fwang <fwang> 3.1.90-3.mga2
+ Revision: 136995
- rebuild for new xulrunner

* Wed Aug 31 2011 colin <colin> 3.1.90-2.mga2
+ Revision: 136844
- Fix upstream crash relating to GDM

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136367
- do not promote strict flags for gi
- new version 3.1.90
- could not find any reason requiring python stuff now
- rebuild for new xulrunner
- export gnome-bluetooth libdir
- br gnome-common
- fix bluetooth-applet libdir
- rebuild for new cogl

  + dmorgan <dmorgan>
    - Rebuild against new xulrunner
    - Redmove LD_LIBRARY_PATH, should not be needed with latest xulrunner

  + colin <colin>
    - Move filthy hack to gnome-bluetooth + build verbosely
    - Hacky fix to build bluetooth support
    - Build Bluetooth support

  + wally <wally>
    - new version 3.1.4
    - clean .spec a bit

* Wed Jul 13 2011 fwang <fwang> 3.1.3-4.mga2
+ Revision: 123537
- rebuild for new xulrunner

* Thu Jul 07 2011 dmorgan <dmorgan> 3.1.3-3.mga2
+ Revision: 119819
- Rebuild against new rpm-setup
- Fix packagekit requires
- Fix requires
- Fix requires

* Tue Jul 05 2011 dmorgan <dmorgan> 3.1.3-2.mga2
+ Revision: 118921
- Add packagekit-gtk-module as Requires ( thanks to gil)

* Tue Jul 05 2011 dmorgan <dmorgan> 3.1.3-1.mga2
+ Revision: 118786
- New version 3.1.3

* Sat Jun 25 2011 dmorgan <dmorgan> 3.0.2-10.mga2
+ Revision: 113337
- Fix typo in xulrunner version

* Fri Jun 24 2011 dmorgan <dmorgan> 3.0.2-9.mga2
+ Revision: 113274
- Obsolete dead package

* Fri Jun 24 2011 mikala <mikala> 3.0.2-8.mga2
+ Revision: 113184
- Add a requires on %%{_lib}xulrunner (gnome-shell is using libmozjs.so)

* Wed Jun 22 2011 mikala <mikala> 3.0.2-7.mga2
+ Revision: 111781
- Rebuild for new xulrunner

* Mon Jun 20 2011 dmorgan <dmorgan> 3.0.2-6.mga2
+ Revision: 110116
- Rebuild because it failed only in one arch
- Add back P1, seems to work ( validated by mikala )

* Sun Jun 19 2011 dmorgan <dmorgan> 3.0.2-4.mga2
+ Revision: 109667
- Fix requires

* Sun Jun 19 2011 dmorgan <dmorgan> 3.0.2-3.mga2
+ Revision: 109548
- Add requires ( opensuse )
- Add more Requires ( synced with opensuse )
  Remove test patch that doesn't fix the crash ( tested by mikala )?\194?\178
- Add patch to try to fix gs crash ( check some pointers)

* Wed Jun 15 2011 dmorgan <dmorgan> 3.0.2-2.mga2
+ Revision: 106337
- We do not need a preview session anymore now that gnome3 works OK in normal mode

* Wed Jun 08 2011 dmorgan <dmorgan> 3.0.2-1.mga2
+ Revision: 101790
- This is not a Preview anymore
- Merge with mdv cooker package

  + tv <tv>
    - rebuild for new gir
    - imported package gnome-shell


* Fri Aug 06 2010 Funda Wang <fwang@mandriva.org> 2.29.1-8mdv2011.0
+ Revision: 566698
- drop BR on gir-repository

* Tue Jul 27 2010 Funda Wang <fwang@mandriva.org> 2.29.1-7mdv2011.0
+ Revision: 561839
- rebuild

* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.1-6mdv2010.1
+ Revision: 549373
- rebuild with latest xulrunner

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 2.29.1-5mdv2010.1
+ Revision: 531046
- rebuild for new xulrunner

* Fri Apr 02 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.1-4mdv2010.1
+ Revision: 530777
- Remove old suggests, not needed anymore

* Wed Mar 31 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.1-3mdv2010.1
+ Revision: 530413
- requires gnome-session for session management (and integration in display manager)

* Wed Mar 24 2010 Götz Waschk <waschk@mandriva.org> 2.29.1-2mdv2010.1
+ Revision: 527081
- rebuild for new xulrunner

* Tue Mar 23 2010 Götz Waschk <waschk@mandriva.org> 2.29.1-1mdv2010.1
+ Revision: 526922
- new version
- drop patches 1,2

* Sat Mar 20 2010 Götz Waschk <waschk@mandriva.org> 2.29.0-3mdv2010.1
+ Revision: 525522
- fix build with new gjs (bug #58274)
- replace patch 1 by upstream version

  + Frederic Crozat <fcrozat@mandriva.com>
    - ensure there is no post by default

* Wed Mar 17 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.0-2mdv2010.1
+ Revision: 524312
- Source1: add support to select GNOME-Shell in display managers, as GNOME 3 Preview (idea from SUSE)

* Tue Feb 23 2010 Götz Waschk <waschk@mandriva.org> 2.29.0-1mdv2010.1
+ Revision: 510279
- new version
- fix build
- fix setting of the LD_LIBRARY_PATH for xulrunner

* Tue Feb 16 2010 Götz Waschk <waschk@mandriva.org> 2.28.0-4mdv2010.1
+ Revision: 506609
- disable Werror to make it build

* Wed Feb 03 2010 Thierry Vignaud <tv@mandriva.org> 2.28.0-3mdv2010.1
+ Revision: 499977
- requires glxinfo instead of mesa-demos

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 2.28.0-2mdv2010.1
+ Revision: 490657
- rebuild for new libgnome-desktop

* Thu Oct 08 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 456027
- new version
- update deps

* Wed Sep 16 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 443455
- new version

* Sat Sep 05 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 432058
- new version

* Sat Aug 29 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 422175
- new version
- update deps
- add translations

* Mon Aug 17 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-4mdv2010.0
+ Revision: 417151
- add missing dep on glxinfo

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-3mdv2010.0
+ Revision: 415271
- remove devel deps again

* Wed Aug 12 2009 Michael Scherer <misc@mandriva.org> 2.27.0-2mdv2010.0
+ Revision: 415259
- add missing requires and suggest

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-1mdv2010.0
+ Revision: 414732
- import gnome-shell


* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-1mdv2010.0
- initial package
